Quickstart: Retrieve accounts
This quickstart verifies that your integration with the Vitesse API is working.
The steps are:
- Obtain an access token
- Retrieve your accounts
Obtain an access token
Request an OAuth token from the Vitesse Identity service.
POST https://staging-identity.vitessepsp.com/connect/token
Content-Type: application/x-www-form-urlencoded
client_id=YOUR_CLIENT_ID&
client_secret=YOUR_CLIENT_SECRET&
grant_type=client_credentials&
scope=payment-requests stored-recipientsExample response
{
"access_token": "eyJhbGciOi...",
"token_type": "Bearer",
"expires_in": 3600
} Retrieve your accounts
Retrieve the accounts available to your organisation.
GET https://api.staging.vitesse.io/v1/accounts
Authorization: Bearer <access_token>Example response
[
{
"accountId": "a14ff4d1-d91a-4b19-b94e-c302b7b43f3d",
"accountName": "Claims Account GBP",
"currency": "GBP"
}
]If the request succeeds, your API integration is working correctly.
If the request fails, check the following:
- The
Authorizationheader contains a valid bearer token - The
Authorizationheader is formatted correctly:Authorization: Bearer <access_token> - The token was issued for the correct environment (staging vs production)
- The request URL is correct for the environment
- The token includes the required scope (
payment-requests) - Vitesse has included your infrastructure on the allowlist
For common issues and troubleshooting guidance, see Troubleshooting payment requests.
Updated about 1 month ago